Skip to main content
GET
/
open
/
v1
/
plan
/
detail
cURL
curl --request GET \
  --url http://sandbox.mintlify.com/open/v1/plan/detail \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "merchantPlanNo": "plan031004",
  "priceNo": "3"
}
'
{
  "code": "0",
  "message": "",
  "data": {
    "merchantPlanNo": "plan031004",
    "planNo": "63784604430893064",
    "planName": "Plan 01",
    "planDesc": "Plan Description 01",
    "merchantId": "10002",
    "productNo": "2",
    "productName": "Tencent",
    "priceNo": "3",
    "priceName": "Weekly",
    "cryptoCurrency": "USDT",
    "cryptoAmount": "5",
    "fiatCurrency": null,
    "fiatAmount": "0",
    "period": "WEEK",
    "interval": 1,
    "trialDays": 97,
    "totalPayCount": 65,
    "endTime": null,
    "planStatus": "on",
    "authorizedAmount": "331.95",
    "promoAmount": "0",
    "promoRate": "0.1",
    "createTime": 1773099791000,
    "updateTime": 1773099791000
  },
  "success": true
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform application

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

HMAC-SHA256 signature, used to verify request legitimacy

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
required

Timestamp (milliseconds), time difference with server cannot exceed 5 minutes

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random number, used to prevent replay attacks

Example:

"9578"

Body

application/json

Query subscription plan details request parameters

merchantPlanNo
string

Merchant subscription plan number (choose one with planNo)

Example:

"PLAN_20240101_001"

priceNo
string

Platform subscription plan number (choose one with merchantPlanNo)

Example:

"PRICE_ABC123"

Response

200 - application/json

Query subscription plan details successful

code
string

Response code, 0 indicates success

Example:

"0"

message
string

Response description, empty when successful

Example:

""

success
boolean

Whether the request was successful

Example:

true

data
object

Response data